de.caff.i18n

## Class XmlResourceBundle.AbstractBasicResourceNode

- java.lang.Object
- - de.caff.i18n.XmlResourceBundle.AbstractBasicResourceNode

- All Implemented Interfaces:
    XmlResourceBundle.ResourceNode
  Direct Known Subclasses:
    XmlResourceBundle.ResourceActionGroup
  Enclosing class:
    XmlResourceBundle

      public abstract static class XmlResourceBundle.AbstractBasicResourceNode
      extends java.lang.Object
      implements XmlResourceBundle.ResourceNode

  Abstract base implementation of a resource node.

- - ### Field Summary

    - ### Fields inherited from interface de.caff.i18n.XmlResourceBundle.ResourceNode

      `EMPTY_RESOURCE_NODE_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractBasicResourceNode(org.xml.sax.Attributes attributes)`
    `protected` | `AbstractBasicResourceNode(java.lang.String comment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addXmlAttributes(java.lang.StringBuilder xmlString)`
    `protected void` | `addXmlCompleteTag(java.lang.StringBuilder sb)`
    `protected void` | `addXmlContent(java.lang.StringBuilder sb)`
    `protected void` | `addXmlEndTag(java.lang.StringBuilder sb)`
    `protected void` | `addXmlStartTag(java.lang.StringBuilder sb)`
    `java.lang.String` | `getComment()` Get the comment.
    `protected boolean` | `hasContent()`
    `void` | `setComment(java.lang.String comment)` Set the comment.
    `java.lang.String` | `toXml()` Convert the node to XML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.i18n.XmlResourceBundle.ResourceNode

      `getId, getSubNodes, getXmlTag, registerResources`

- - ### Constructor Detail

    - #### AbstractBasicResourceNode

          protected AbstractBasicResourceNode(org.xml.sax.Attributes attributes)

    - #### AbstractBasicResourceNode

          protected AbstractBasicResourceNode(java.lang.String comment)

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

      Get the comment.
      Specified by:
        `getComment` in interface `XmlResourceBundle.ResourceNode`
      Returns:
        comment

    - #### setComment

          public void setComment(java.lang.String comment)

      Set the comment.
      Specified by:
        `setComment` in interface `XmlResourceBundle.ResourceNode`
      Parameters:
        `comment` - new comment

    - #### addXmlAttributes

          protected void addXmlAttributes(java.lang.StringBuilder xmlString)

    - #### addXmlCompleteTag

          protected void addXmlCompleteTag(java.lang.StringBuilder sb)

    - #### addXmlStartTag

          protected void addXmlStartTag(java.lang.StringBuilder sb)

    - #### addXmlEndTag

          protected void addXmlEndTag(java.lang.StringBuilder sb)

    - #### addXmlContent

          protected void addXmlContent(java.lang.StringBuilder sb)

    - #### hasContent

          protected boolean hasContent()

    - #### toXml

          public java.lang.String toXml()

      Convert the node to XML.
      Specified by:
        `toXml` in interface `XmlResourceBundle.ResourceNode`
      Returns:
        XML representation of this node